/* Copyright 2009 Jiayao Yu

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/
package com.jiayao.reviewfinder;

import java.io.IOException;
import java.net.URL;
import java.util.HashMap;
import java.util.Map;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

import android.util.Log;

public class GoogleProductSearchEngine implements SearchEngine {
  private static final String META_CRITIC_SITE_RESTRICTION = "site:metacritic.com%20";
  private static final String TAG = "GoogleProductSearchEngine";

  public Map<String, String> search(String query) throws IOException {
    URL url = new URL("http://www.google." + LocaleManager.getCountryTLD() + "/products?q=" + query);
    String content = Utils.downloadPageContent(url);
    Log.d(TAG, content);
    Matcher matcher = Pattern.compile("<li class=\"result.*?title=\"(.*?)\"").matcher(content);
    Map<String, String>  results = new HashMap<String, String>();
    if (matcher.find()) {
	String title = matcher.group(1);
	Log.i(TAG, "title=" + title);
	results.put(title, "");
    }
    return results;
  }

  public SearchEngine getRefiningSearchEngine() {
    return new GoogleSearchEngine(META_CRITIC_SITE_RESTRICTION);
  }
  

}
