/* Copyright 2009 Jiayao Yu

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/
package com.jiayao.reviewfinder;

public class ISBNResultParser {

    private ISBNResultParser() {
  }

  public static boolean parse(Barcode barcode) {
    String format = barcode.getFormat();
    String rawText = barcode.getContent();
    int length = rawText.length();
    if (!BarcodeFormat.EAN_13.toString().equals(format) || length != 13 ||
	!rawText.startsWith("978") && !rawText.startsWith("979")) {
      return false;
    }
    return true;
  }

}