/* Copyright 2009 Jiayao Yu

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/
package com.jiayao.reviewfinder;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;

import android.util.Log;

public class Utils {
  
  private static final String TAG = "Utils";
  
  public static String downloadPageContent(URL url) throws IOException {
    Log.i(TAG, "Grabbing " + url.toString());
    HttpURLConnection conn = (HttpURLConnection) url.openConnection();
    conn.setDoOutput(true);
    conn.connect();
    BufferedReader reader = new BufferedReader(new InputStreamReader(conn.getInputStream()));
    String line;
    StringBuffer response = new StringBuffer();
    while ((line = reader.readLine()) != null) {
      response.append(line);
    }
    reader.close();
    Log.d(TAG, response.toString());
    return response.toString();
  }
}
